<?php

namespace WpBeacon\Actions;

use WpBeacon\Data\VersionInfo;

class GetCoreVersionsAction
{
    public static function getCoreVersions(): VersionInfo
    {
        global $wp_version;

        $updates = get_site_transient('update_core');

        if (!$updates || empty($updates)) {
            throw new \RuntimeException('Could not retrieve core version info.');
        }

        $latest_version_info = $updates->updates[0]; // The first object usually contains the latest version information
        $latest_version = $latest_version_info->version;

        return new VersionInfo(
            $wp_version,
            $latest_version,
            date(DATE_ATOM),
            version_compare($wp_version, $latest_version, 'eq'),
            null
        );
    }
}
